No provider for popovercontroller, platform and event

Hello everyone since i update to ionic 4 neutronium i’m getting the following problem no provider for popovercontroller, platform, events.

here is how i imported them

import { Platform, PopoverController, Events } from ‘ionic-angular’;
does anyone have a solution

The import path has changed

import { Platform, PopoverController, Events } from '@ionic/angular';